// 问题类型
export const QUESTION_TYPE = {
  // 单选
  CHOICE: 1,

  // 多选
  CHOICE_MULT: 2,

  // 输入
  INPUT_MULT: 4,

  // 图文说明
  IMG_TEXT_EXPLAIN: 6,

  // 热区-开关
  HOTAREA: 25,

  // 热区-喜欢/不喜欢
  HOTAREA_2: 26,

  // 矩阵-填空
  MATRIX_INPUT: 8,

  // 矩阵-单选
  MATRIX_RADIO: 9,

  contains(item) {
    return Object.keys(this).some((key) => this[key] === item);
  }
};

export default {};
